diff --git c/scala/util/control/TailCalls$Done.class w/scala/util/control/TailCalls$Done.class
index 7e6aa3c9c4..21a5af112c 100644
--- c/scala/util/control/TailCalls$Done.class
+++ w/scala/util/control/TailCalls$Done.class
@@ -3,7 +3,7 @@ public #= # of #; //Done=class scala/util/control/TailCalls$Done of class scala/
 public abstract #= # of #; //TailRec=class scala/util/control/TailCalls$TailRec of class scala/util/control/TailCalls
 
 Compiled from "TailCalls.scala"
-public class scala.util.control.TailCalls$Done extends scala.util.control.TailCalls$TailRec implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.util.control.TailCalls$Done extends scala.util.control.TailCalls$TailRec implements scala.Product,scala.Serializable{
 private final java.lang.Object result;
   Signature: Ljava/lang/Object;
 
diff --git c/scala/util/grammar/AnyHedgeRHS$.class w/scala/util/grammar/AnyHedgeRHS$.class
index eff8e58f93..03c9155a3a 100644
--- c/scala/util/grammar/AnyHedgeRHS$.class
+++ w/scala/util/grammar/AnyHedgeRHS$.class
@@ -1,6 +1,6 @@
 
 Compiled from "HedgeRHS.scala"
-public final class scala.util.grammar.AnyHedgeRHS$ extends scala.util.grammar.HedgeRHS implements scala.ScalaObject,scala.Product,scala.Serializable{
+public final class scala.util.grammar.AnyHedgeRHS$ extends scala.util.grammar.HedgeRHS implements scala.Product,scala.Serializable{
 public static final scala.util.grammar.AnyHedgeRHS$ MODULE$;
   Signature: Lscala/util/grammar/AnyHedgeRHS$;
 
diff --git c/scala/util/grammar/AnyTreeRHS$.class w/scala/util/grammar/AnyTreeRHS$.class
index fa33f1ec05..83689ae1c1 100644
--- c/scala/util/grammar/AnyTreeRHS$.class
+++ w/scala/util/grammar/AnyTreeRHS$.class
@@ -1,6 +1,6 @@
 
 Compiled from "TreeRHS.scala"
-public final class scala.util.grammar.AnyTreeRHS$ extends scala.util.grammar.TreeRHS implements scala.ScalaObject,scala.Product,scala.Serializable{
+public final class scala.util.grammar.AnyTreeRHS$ extends scala.util.grammar.TreeRHS implements scala.Product,scala.Serializable{
 public static final scala.util.grammar.AnyTreeRHS$ MODULE$;
   Signature: Lscala/util/grammar/AnyTreeRHS$;
 
diff --git c/scala/util/grammar/ConsRHS.class w/scala/util/grammar/ConsRHS.class
index 1819e86c13..c1bf64f2aa 100644
--- c/scala/util/grammar/ConsRHS.class
+++ w/scala/util/grammar/ConsRHS.class
@@ -1,6 +1,6 @@
 
 Compiled from "HedgeRHS.scala"
-public class scala.util.grammar.ConsRHS extends scala.util.grammar.HedgeRHS implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.util.grammar.ConsRHS extends scala.util.grammar.HedgeRHS implements scala.Product,scala.Serializable{
 private final int tnt;
   Signature: I
 
diff --git c/scala/util/grammar/EmptyHedgeRHS$.class w/scala/util/grammar/EmptyHedgeRHS$.class
index 20d34a2835..08a1aea391 100644
--- c/scala/util/grammar/EmptyHedgeRHS$.class
+++ w/scala/util/grammar/EmptyHedgeRHS$.class
@@ -1,6 +1,6 @@
 
 Compiled from "HedgeRHS.scala"
-public final class scala.util.grammar.EmptyHedgeRHS$ extends scala.util.grammar.HedgeRHS implements scala.ScalaObject,scala.Product,scala.Serializable{
+public final class scala.util.grammar.EmptyHedgeRHS$ extends scala.util.grammar.HedgeRHS implements scala.Product,scala.Serializable{
 public static final scala.util.grammar.EmptyHedgeRHS$ MODULE$;
   Signature: Lscala/util/grammar/EmptyHedgeRHS$;
 
diff --git c/scala/util/grammar/LabelledRHS.class w/scala/util/grammar/LabelledRHS.class
index 4545a0a034..e8b412c0dd 100644
--- c/scala/util/grammar/LabelledRHS.class
+++ w/scala/util/grammar/LabelledRHS.class
@@ -1,6 +1,6 @@
 
 Compiled from "TreeRHS.scala"
-public class scala.util.grammar.LabelledRHS extends scala.util.grammar.TreeRHS implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.util.grammar.LabelledRHS extends scala.util.grammar.TreeRHS implements scala.Product,scala.Serializable{
 private final java.lang.Object label;
   Signature: Ljava/lang/Object;
 
diff --git c/scala/util/logging/ConsoleLogger.class w/scala/util/logging/ConsoleLogger.class
index 966bd34cfd..a4ea913c21 100644
--- c/scala/util/logging/ConsoleLogger.class
+++ w/scala/util/logging/ConsoleLogger.class
@@ -1,6 +1,6 @@
 
 Compiled from "ConsoleLogger.scala"
-public interface scala.util.logging.ConsoleLogger extends scala.util.logging.Logged,scala.ScalaObject{
+public interface scala.util.logging.ConsoleLogger extends scala.util.logging.Logged{
 public abstract void log(java.lang.String);
   Signature: (Ljava/lang/String;)V
 
diff --git c/scala/util/matching/Regex$Match.class w/scala/util/matching/Regex$Match.class
index adaefbfb98..c640a27924 100644
--- c/scala/util/matching/Regex$Match.class
+++ w/scala/util/matching/Regex$Match.class
@@ -5,7 +5,7 @@ public #= # of #; //Inclusive=class scala/collection/immutable/Range$Inclusive o
 public abstract #= # of #; //MatchData$class=class scala/util/matching/Regex$MatchData$class of class scala/util/matching/Regex
 
 Compiled from "Regex.scala"
-public class scala.util.matching.Regex$Match extends java.lang.Object implements scala.util.matching.Regex$MatchData,scala.ScalaObject{
+public class scala.util.matching.Regex$Match extends java.lang.Object implements scala.util.matching.Regex$MatchData{
 private final java.lang.CharSequence source;
   Signature: Ljava/lang/CharSequence;
 
diff --git c/scala/util/matching/Regex$MatchIterator.class w/scala/util/matching/Regex$MatchIterator.class
index 79f4973c0d..aa6e86f612 100644
--- c/scala/util/matching/Regex$MatchIterator.class
+++ w/scala/util/matching/Regex$MatchIterator.class
@@ -4,7 +4,7 @@ public #= # of #; //MatchIterator=class scala/util/matching/Regex$MatchIterator
 public abstract #= # of #; //MatchData$class=class scala/util/matching/Regex$MatchData$class of class scala/util/matching/Regex
 
 Compiled from "Regex.scala"
-public class scala.util.matching.Regex$MatchIterator extends scala.collection.AbstractIterator implements scala.collection.Iterator,scala.util.matching.Regex$MatchData,scala.ScalaObject{
+public class scala.util.matching.Regex$MatchIterator extends scala.collection.AbstractIterator implements scala.collection.Iterator,scala.util.matching.Regex$MatchData{
 private final java.lang.CharSequence source;
   Signature: Ljava/lang/CharSequence;
 
diff --git c/scala/util/parsing/ast/AbstractSyntax$NameElement.class w/scala/util/parsing/ast/AbstractSyntax$NameElement.class
index 3894c2f278..e47e429806 100644
--- c/scala/util/parsing/ast/AbstractSyntax$NameElement.class
+++ w/scala/util/parsing/ast/AbstractSyntax$NameElement.class
@@ -3,7 +3,7 @@ public abstract #= # of #; //Element=class scala/util/parsing/ast/AbstractSyntax
 public abstract #= # of #; //NameElement=class scala/util/parsing/ast/AbstractSyntax$NameElement of class scala/util/parsing/ast/AbstractSyntax
 
 Compiled from "AbstractSyntax.scala"
-public interface scala.util.parsing.ast.AbstractSyntax$NameElement extends scala.util.parsing.ast.AbstractSyntax$Element,scala.ScalaObject{
+public interface scala.util.parsing.ast.AbstractSyntax$NameElement extends scala.util.parsing.ast.AbstractSyntax$Element{
 public abstract java.lang.String name();
   Signature: ()Ljava/lang/String;
 
diff --git c/scala/util/parsing/ast/Binders$BoundElement.class w/scala/util/parsing/ast/Binders$BoundElement.class
index 9df1d3bbe2..8c5224cf4e 100644
--- c/scala/util/parsing/ast/Binders$BoundElement.class
+++ w/scala/util/parsing/ast/Binders$BoundElement.class
@@ -7,7 +7,7 @@ public abstract #= # of #; //NameElement=class scala/util/parsing/ast/AbstractSy
 public abstract #= # of #; //NameElement$class=class scala/util/parsing/ast/AbstractSyntax$NameElement$class of class scala/util/parsing/ast/AbstractSyntax
 
 Compiled from "Binders.scala"
-public class scala.util.parsing.ast.Binders$BoundElement extends java.lang.Object implements scala.util.parsing.ast.AbstractSyntax$NameElement,scala.Proxy,scala.util.parsing.ast.Binders$BindingSensitive,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.util.parsing.ast.Binders$BoundElement extends java.lang.Object implements scala.util.parsing.ast.AbstractSyntax$NameElement,scala.Proxy,scala.util.parsing.ast.Binders$BindingSensitive,scala.Product,scala.Serializable{
 private final scala.util.parsing.ast.AbstractSyntax$NameElement el;
   Signature: Lscala/util/parsing/ast/AbstractSyntax$NameElement;
 
diff --git c/scala/util/parsing/ast/Binders$Scope.class w/scala/util/parsing/ast/Binders$Scope.class
index f5ff796067..ad04266d79 100644
--- c/scala/util/parsing/ast/Binders$Scope.class
+++ w/scala/util/parsing/ast/Binders$Scope.class
@@ -6,7 +6,7 @@ public abstract #= # of #; //Element=class scala/util/parsing/ast/AbstractSyntax
 public abstract #= # of #; //NameElement=class scala/util/parsing/ast/AbstractSyntax$NameElement of class scala/util/parsing/ast/AbstractSyntax
 
 Compiled from "Binders.scala"
-public class scala.util.parsing.ast.Binders$Scope extends scala.collection.AbstractIterable implements scala.collection.Iterable,scala.ScalaObject{
+public class scala.util.parsing.ast.Binders$Scope extends scala.collection.AbstractIterable implements scala.collection.Iterable{
 private final scala.collection.mutable.Map substitution;
   Signature: Lscala/collection/mutable/Map;
 
diff --git c/scala/util/parsing/ast/Binders$UnboundElement.class w/scala/util/parsing/ast/Binders$UnboundElement.class
index b260010532..a5c26b741e 100644
--- c/scala/util/parsing/ast/Binders$UnboundElement.class
+++ w/scala/util/parsing/ast/Binders$UnboundElement.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //NameElement=class scala/util/parsing/ast/AbstractSy
 public abstract #= # of #; //NameElement$class=class scala/util/parsing/ast/AbstractSyntax$NameElement$class of class scala/util/parsing/ast/AbstractSyntax
 
 Compiled from "Binders.scala"
-public class scala.util.parsing.ast.Binders$UnboundElement extends java.lang.Object implements scala.util.parsing.ast.AbstractSyntax$NameElement,scala.ScalaObject{
+public class scala.util.parsing.ast.Binders$UnboundElement extends java.lang.Object implements scala.util.parsing.ast.AbstractSyntax$NameElement{
 private final scala.util.parsing.ast.AbstractSyntax$NameElement el;
   Signature: Lscala/util/parsing/ast/AbstractSyntax$NameElement;
 
diff --git c/scala/util/parsing/ast/Binders$UnderBinder.class w/scala/util/parsing/ast/Binders$UnderBinder.class
index cfd4f3ce8f..d23121294b 100644
--- c/scala/util/parsing/ast/Binders$UnderBinder.class
+++ w/scala/util/parsing/ast/Binders$UnderBinder.class
@@ -7,7 +7,7 @@ public abstract #= # of #; //Element=class scala/util/parsing/ast/AbstractSyntax
 public abstract #= # of #; //BindingSensitive=class scala/util/parsing/ast/Binders$BindingSensitive of class scala/util/parsing/ast/Binders
 
 Compiled from "Binders.scala"
-public class scala.util.parsing.ast.Binders$UnderBinder extends java.lang.Object implements scala.util.parsing.ast.AbstractSyntax$Element,scala.util.parsing.ast.Binders$BindingSensitive,scala.ScalaObject{
+public class scala.util.parsing.ast.Binders$UnderBinder extends java.lang.Object implements scala.util.parsing.ast.AbstractSyntax$Element,scala.util.parsing.ast.Binders$BindingSensitive{
 private final scala.util.parsing.ast.Binders$Scope scope;
   Signature: Lscala/util/parsing/ast/Binders$Scope;
 
diff --git c/scala/util/parsing/ast/Binders.class w/scala/util/parsing/ast/Binders.class
index 4b339a3a4b..986e018b05 100644
--- c/scala/util/parsing/ast/Binders.class
+++ w/scala/util/parsing/ast/Binders.class
@@ -14,7 +14,7 @@ public abstract #= # of #; //BindingSensitive=class scala/util/parsing/ast/Binde
 public abstract #= # of #; //NameElement=class scala/util/parsing/ast/AbstractSyntax$NameElement of class scala/util/parsing/ast/AbstractSyntax
 
 Compiled from "Binders.scala"
-public interface scala.util.parsing.ast.Binders extends scala.util.parsing.ast.AbstractSyntax,scala.util.parsing.ast.Mappable,scala.ScalaObject{
+public interface scala.util.parsing.ast.Binders extends scala.util.parsing.ast.AbstractSyntax,scala.util.parsing.ast.Mappable{
 public abstract scala.util.parsing.ast.Binders$BoundElement$ BoundElement();
   Signature: ()Lscala/util/parsing/ast/Binders$BoundElement$;
 
diff --git c/scala/util/parsing/combinator/JavaTokenParsers.class w/scala/util/parsing/combinator/JavaTokenParsers.class
index 52cfadede5..e73d362d81 100644
--- c/scala/util/parsing/combinator/JavaTokenParsers.class
+++ w/scala/util/parsing/combinator/JavaTokenParsers.class
@@ -2,7 +2,7 @@ InnerClasses:
 public abstract #= # of #; //Parser=class scala/util/parsing/combinator/Parsers$Parser of class scala/util/parsing/combinator/Parsers
 
 Compiled from "JavaTokenParsers.scala"
-public interface scala.util.parsing.combinator.JavaTokenParsers extends scala.util.parsing.combinator.RegexParsers,scala.ScalaObject{
+public interface scala.util.parsing.combinator.JavaTokenParsers extends scala.util.parsing.combinator.RegexParsers{
 public abstract scala.util.parsing.combinator.Parsers$Parser ident();
   Signature: ()Lscala/util/parsing/combinator/Parsers$Parser;
 
diff --git c/scala/util/parsing/combinator/PackratParsers$Head.class w/scala/util/parsing/combinator/PackratParsers$Head.class
index 3aa6fbfa15..e509f00d05 100644
--- c/scala/util/parsing/combinator/PackratParsers$Head.class
+++ w/scala/util/parsing/combinator/PackratParsers$Head.class
@@ -3,7 +3,7 @@ public abstract #= # of #; //Parser=class scala/util/parsing/combinator/Parsers$
 public #= # of #; //Head=class scala/util/parsing/combinator/PackratParsers$Head of class scala/util/parsing/combinator/PackratParsers
 
 Compiled from "PackratParsers.scala"
-public class scala.util.parsing.combinator.PackratParsers$Head extends java.lang.Object implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.util.parsing.combinator.PackratParsers$Head extends java.lang.Object implements scala.Product,scala.Serializable{
 private scala.util.parsing.combinator.Parsers$Parser headParser;
   Signature: Lscala/util/parsing/combinator/Parsers$Parser;
 
diff --git c/scala/util/parsing/combinator/PackratParsers$LR.class w/scala/util/parsing/combinator/PackratParsers$LR.class
index 4fa2330478..0c01ef48c6 100644
--- c/scala/util/parsing/combinator/PackratParsers$LR.class
+++ w/scala/util/parsing/combinator/PackratParsers$LR.class
@@ -4,7 +4,7 @@ public #= # of #; //LR=class scala/util/parsing/combinator/PackratParsers$LR of
 public abstract #= # of #; //ParseResult=class scala/util/parsing/combinator/Parsers$ParseResult of class scala/util/parsing/combinator/Parsers
 
 Compiled from "PackratParsers.scala"
-public class scala.util.parsing.combinator.PackratParsers$LR extends java.lang.Object implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.util.parsing.combinator.PackratParsers$LR extends java.lang.Object implements scala.Product,scala.Serializable{
 private scala.util.parsing.combinator.Parsers$ParseResult seed;
   Signature: Lscala/util/parsing/combinator/Parsers$ParseResult;
 
diff --git c/scala/util/parsing/combinator/PackratParsers$MemoEntry.class w/scala/util/parsing/combinator/PackratParsers$MemoEntry.class
index 5f552a23b8..b6f03c2e96 100644
--- c/scala/util/parsing/combinator/PackratParsers$MemoEntry.class
+++ w/scala/util/parsing/combinator/PackratParsers$MemoEntry.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //ParseResult=class scala/util/parsing/combinator/Par
 public #= # of #; //MemoEntry=class scala/util/parsing/combinator/PackratParsers$MemoEntry of class scala/util/parsing/combinator/PackratParsers
 
 Compiled from "PackratParsers.scala"
-public class scala.util.parsing.combinator.PackratParsers$MemoEntry extends java.lang.Object implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.util.parsing.combinator.PackratParsers$MemoEntry extends java.lang.Object implements scala.Product,scala.Serializable{
 private scala.Either r;
   Signature: Lscala/Either;
 
diff --git c/scala/util/parsing/combinator/PackratParsers.class w/scala/util/parsing/combinator/PackratParsers.class
index 4ffe162849..1a81fde829 100644
--- c/scala/util/parsing/combinator/PackratParsers.class
+++ w/scala/util/parsing/combinator/PackratParsers.class
@@ -10,7 +10,7 @@ public abstract #= # of #; //PackratParser=class scala/util/parsing/combinator/P
 public #= # of #; //PackratReader=class scala/util/parsing/combinator/PackratParsers$PackratReader of class scala/util/parsing/combinator/PackratParsers
 
 Compiled from "PackratParsers.scala"
-public interface scala.util.parsing.combinator.PackratParsers extends scala.util.parsing.combinator.Parsers,scala.ScalaObject{
+public interface scala.util.parsing.combinator.PackratParsers extends scala.util.parsing.combinator.Parsers{
 public abstract scala.util.parsing.combinator.Parsers$Parser scala$util$parsing$combinator$PackratParsers$$super$phrase(scala.util.parsing.combinator.Parsers$Parser);
   Signature: (Lscala/util/parsing/combinator/Parsers$Parser;)Lscala/util/parsing/combinator/Parsers$Parser;
 
diff --git c/scala/util/parsing/combinator/Parsers$$tilde.class w/scala/util/parsing/combinator/Parsers$$tilde.class
index 6f71e6191b..a912ac83b6 100644
--- c/scala/util/parsing/combinator/Parsers$$tilde.class
+++ w/scala/util/parsing/combinator/Parsers$$tilde.class
@@ -2,7 +2,7 @@ InnerClasses:
 public #= # of #; //$tilde=class scala/util/parsing/combinator/Parsers$$tilde of class scala/util/parsing/combinator/Parsers
 
 Compiled from "Parsers.scala"
-public class scala.util.parsing.combinator.Parsers$$tilde extends java.lang.Object implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.util.parsing.combinator.Parsers$$tilde extends java.lang.Object implements scala.Product,scala.Serializable{
 private final java.lang.Object _1;
   Signature: Ljava/lang/Object;
 
diff --git c/scala/util/parsing/combinator/Parsers$Error.class w/scala/util/parsing/combinator/Parsers$Error.class
index 86dd444992..4ba66fa7ae 100644
--- c/scala/util/parsing/combinator/Parsers$Error.class
+++ w/scala/util/parsing/combinator/Parsers$Error.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //NoSuccess=class scala/util/parsing/combinator/Parse
 public abstract #= # of #; //ParseResult=class scala/util/parsing/combinator/Parsers$ParseResult of class scala/util/parsing/combinator/Parsers
 
 Compiled from "Parsers.scala"
-public class scala.util.parsing.combinator.Parsers$Error extends scala.util.parsing.combinator.Parsers$NoSuccess implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.util.parsing.combinator.Parsers$Error extends scala.util.parsing.combinator.Parsers$NoSuccess implements scala.Product,scala.Serializable{
 public java.lang.String msg();
   Signature: ()Ljava/lang/String;
   Code:
diff --git c/scala/util/parsing/combinator/Parsers$Failure.class w/scala/util/parsing/combinator/Parsers$Failure.class
index 5a6bbc3404..500f06563b 100644
--- c/scala/util/parsing/combinator/Parsers$Failure.class
+++ w/scala/util/parsing/combinator/Parsers$Failure.class
@@ -5,7 +5,7 @@ public abstract #= # of #; //NoSuccess=class scala/util/parsing/combinator/Parse
 public abstract #= # of #; //ParseResult=class scala/util/parsing/combinator/Parsers$ParseResult of class scala/util/parsing/combinator/Parsers
 
 Compiled from "Parsers.scala"
-public class scala.util.parsing.combinator.Parsers$Failure extends scala.util.parsing.combinator.Parsers$NoSuccess implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.util.parsing.combinator.Parsers$Failure extends scala.util.parsing.combinator.Parsers$NoSuccess implements scala.Product,scala.Serializable{
 public java.lang.String msg();
   Signature: ()Ljava/lang/String;
   Code:
diff --git c/scala/util/parsing/combinator/Parsers$Parser.class w/scala/util/parsing/combinator/Parsers$Parser.class
index eef8e40fc7..7429c760ae 100644
--- c/scala/util/parsing/combinator/Parsers$Parser.class
+++ w/scala/util/parsing/combinator/Parsers$Parser.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //OnceParser=class scala/util/parsing/combinator/Pars
 public abstract #= # of #; //ParseResult=class scala/util/parsing/combinator/Parsers$ParseResult of class scala/util/parsing/combinator/Parsers
 
 Compiled from "Parsers.scala"
-public abstract class scala.util.parsing.combinator.Parsers$Parser extends java.lang.Object implements scala.Function1,scala.ScalaObject{
+public abstract class scala.util.parsing.combinator.Parsers$Parser extends java.lang.Object implements scala.Function1{
 private java.lang.String name;
   Signature: Ljava/lang/String;
 
diff --git c/scala/util/parsing/combinator/Parsers$Success.class w/scala/util/parsing/combinator/Parsers$Success.class
index f77921d240..1783fd8a2a 100644
--- c/scala/util/parsing/combinator/Parsers$Success.class
+++ w/scala/util/parsing/combinator/Parsers$Success.class
@@ -4,7 +4,7 @@ public #= # of #; //Failure=class scala/util/parsing/combinator/Parsers$Failure
 public abstract #= # of #; //ParseResult=class scala/util/parsing/combinator/Parsers$ParseResult of class scala/util/parsing/combinator/Parsers
 
 Compiled from "Parsers.scala"
-public class scala.util.parsing.combinator.Parsers$Success extends scala.util.parsing.combinator.Parsers$ParseResult implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.util.parsing.combinator.Parsers$Success extends scala.util.parsing.combinator.Parsers$ParseResult implements scala.Product,scala.Serializable{
 private final java.lang.Object result;
   Signature: Ljava/lang/Object;
 
diff --git c/scala/util/parsing/combinator/RegexParsers.class w/scala/util/parsing/combinator/RegexParsers.class
index 58c4116a83..630025f501 100644
--- c/scala/util/parsing/combinator/RegexParsers.class
+++ w/scala/util/parsing/combinator/RegexParsers.class
@@ -3,7 +3,7 @@ public abstract #= # of #; //Parser=class scala/util/parsing/combinator/Parsers$
 public abstract #= # of #; //ParseResult=class scala/util/parsing/combinator/Parsers$ParseResult of class scala/util/parsing/combinator/Parsers
 
 Compiled from "RegexParsers.scala"
-public interface scala.util.parsing.combinator.RegexParsers extends scala.util.parsing.combinator.Parsers,scala.ScalaObject{
+public interface scala.util.parsing.combinator.RegexParsers extends scala.util.parsing.combinator.Parsers{
 public abstract void scala$util$parsing$combinator$RegexParsers$_setter_$whiteSpace_$eq(scala.util.matching.Regex);
   Signature: (Lscala/util/matching/Regex;)V
 
diff --git c/scala/util/parsing/combinator/lexical/Lexical.class w/scala/util/parsing/combinator/lexical/Lexical.class
index c76383d210..fd5a103fb0 100644
--- c/scala/util/parsing/combinator/lexical/Lexical.class
+++ w/scala/util/parsing/combinator/lexical/Lexical.class
@@ -12,7 +12,7 @@ public final #= # of #; //NoSuccess$=class scala/util/parsing/combinator/Parsers
 public abstract #= # of #; //OnceParser=class scala/util/parsing/combinator/Parsers$OnceParser of class scala/util/parsing/combinator/Parsers
 
 Compiled from "Lexical.scala"
-public abstract class scala.util.parsing.combinator.lexical.Lexical extends java.lang.Object implements scala.util.parsing.combinator.lexical.Scanners,scala.util.parsing.combinator.token.Tokens,scala.ScalaObject{
+public abstract class scala.util.parsing.combinator.lexical.Lexical extends java.lang.Object implements scala.util.parsing.combinator.lexical.Scanners,scala.util.parsing.combinator.token.Tokens{
 private scala.util.parsing.combinator.Parsers$NoSuccess lastNoSuccess;
   Signature: Lscala/util/parsing/combinator/Parsers$NoSuccess;
 
diff --git c/scala/util/parsing/combinator/lexical/Scanners.class w/scala/util/parsing/combinator/lexical/Scanners.class
index 874eeba942..8dc65df292 100644
--- c/scala/util/parsing/combinator/lexical/Scanners.class
+++ w/scala/util/parsing/combinator/lexical/Scanners.class
@@ -3,7 +3,7 @@ public abstract #= # of #; //Parser=class scala/util/parsing/combinator/Parsers$
 public #= # of #; //Scanner=class scala/util/parsing/combinator/lexical/Scanners$Scanner of class scala/util/parsing/combinator/lexical/Scanners
 
 Compiled from "Scanners.scala"
-public interface scala.util.parsing.combinator.lexical.Scanners extends scala.util.parsing.combinator.Parsers,scala.ScalaObject{
+public interface scala.util.parsing.combinator.lexical.Scanners extends scala.util.parsing.combinator.Parsers{
 public abstract java.lang.Object errorToken(java.lang.String);
   Signature: (Ljava/lang/String;)Ljava/lang/Object;
 
diff --git c/scala/util/parsing/combinator/lexical/StdLexical.class w/scala/util/parsing/combinator/lexical/StdLexical.class
index f25157ef33..736a5db65e 100644
--- c/scala/util/parsing/combinator/lexical/StdLexical.class
+++ w/scala/util/parsing/combinator/lexical/StdLexical.class
@@ -11,7 +11,7 @@ public #= # of #; //Identifier=class scala/util/parsing/combinator/token/StdToke
 public abstract #= # of #; //$less$colon$less=class scala/Predef$$less$colon$less of class scala/Predef
 
 Compiled from "StdLexical.scala"
-public class scala.util.parsing.combinator.lexical.StdLexical extends scala.util.parsing.combinator.lexical.Lexical implements scala.util.parsing.combinator.token.StdTokens,scala.ScalaObject{
+public class scala.util.parsing.combinator.lexical.StdLexical extends scala.util.parsing.combinator.lexical.Lexical implements scala.util.parsing.combinator.token.StdTokens{
 private final scala.collection.mutable.HashSet reserved;
   Signature: Lscala/collection/mutable/HashSet;
 
diff --git c/scala/util/parsing/combinator/syntactical/StandardTokenParsers.class w/scala/util/parsing/combinator/syntactical/StandardTokenParsers.class
index 82b5bdd27a..96fe32fe00 100644
--- c/scala/util/parsing/combinator/syntactical/StandardTokenParsers.class
+++ w/scala/util/parsing/combinator/syntactical/StandardTokenParsers.class
@@ -9,7 +9,7 @@ public final #= # of #; //NoSuccess$=class scala/util/parsing/combinator/Parsers
 public abstract #= # of #; //OnceParser=class scala/util/parsing/combinator/Parsers$OnceParser of class scala/util/parsing/combinator/Parsers
 
 Compiled from "StandardTokenParsers.scala"
-public class scala.util.parsing.combinator.syntactical.StandardTokenParsers extends java.lang.Object implements scala.util.parsing.combinator.syntactical.StdTokenParsers,scala.ScalaObject{
+public class scala.util.parsing.combinator.syntactical.StandardTokenParsers extends java.lang.Object implements scala.util.parsing.combinator.syntactical.StdTokenParsers{
 private final scala.util.parsing.combinator.lexical.StdLexical lexical;
   Signature: Lscala/util/parsing/combinator/lexical/StdLexical;
 
diff --git c/scala/util/parsing/combinator/syntactical/StdTokenParsers.class w/scala/util/parsing/combinator/syntactical/StdTokenParsers.class
index aa00ce5959..9c93626b57 100644
--- c/scala/util/parsing/combinator/syntactical/StdTokenParsers.class
+++ w/scala/util/parsing/combinator/syntactical/StdTokenParsers.class
@@ -2,7 +2,7 @@ InnerClasses:
 public abstract #= # of #; //Parser=class scala/util/parsing/combinator/Parsers$Parser of class scala/util/parsing/combinator/Parsers
 
 Compiled from "StdTokenParsers.scala"
-public interface scala.util.parsing.combinator.syntactical.StdTokenParsers extends scala.util.parsing.combinator.syntactical.TokenParsers,scala.ScalaObject{
+public interface scala.util.parsing.combinator.syntactical.StdTokenParsers extends scala.util.parsing.combinator.syntactical.TokenParsers{
 public abstract void scala$util$parsing$combinator$syntactical$StdTokenParsers$_setter_$keywordCache_$eq(scala.collection.mutable.HashMap);
   Signature: (Lscala/collection/mutable/HashMap;)V
 
diff --git c/scala/util/parsing/combinator/testing/Ident.class w/scala/util/parsing/combinator/testing/Ident.class
index 7bd4803cc8..e52fec2aa8 100644
--- c/scala/util/parsing/combinator/testing/Ident.class
+++ w/scala/util/parsing/combinator/testing/Ident.class
@@ -1,6 +1,6 @@
 
 Compiled from "RegexTest.scala"
-public class scala.util.parsing.combinator.testing.Ident extends java.lang.Object implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.util.parsing.combinator.testing.Ident extends java.lang.Object implements scala.Product,scala.Serializable{
 private final java.lang.String s;
   Signature: Ljava/lang/String;
 
diff --git c/scala/util/parsing/combinator/testing/Number.class w/scala/util/parsing/combinator/testing/Number.class
index 4b82959670..30d21c21cd 100644
--- c/scala/util/parsing/combinator/testing/Number.class
+++ w/scala/util/parsing/combinator/testing/Number.class
@@ -1,6 +1,6 @@
 
 Compiled from "RegexTest.scala"
-public class scala.util.parsing.combinator.testing.Number extends java.lang.Object implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.util.parsing.combinator.testing.Number extends java.lang.Object implements scala.Product,scala.Serializable{
 private final int n;
   Signature: I
 
diff --git c/scala/util/parsing/combinator/testing/RegexTest$.class w/scala/util/parsing/combinator/testing/RegexTest$.class
index 25db989af8..aba92c0e79 100644
--- c/scala/util/parsing/combinator/testing/RegexTest$.class
+++ w/scala/util/parsing/combinator/testing/RegexTest$.class
@@ -10,7 +10,7 @@ public abstract #= # of #; //OnceParser=class scala/util/parsing/combinator/Pars
 public abstract #= # of #; //ParseResult=class scala/util/parsing/combinator/Parsers$ParseResult of class scala/util/parsing/combinator/Parsers
 
 Compiled from "RegexTest.scala"
-public final class scala.util.parsing.combinator.testing.RegexTest$ extends java.lang.Object implements scala.util.parsing.combinator.RegexParsers,scala.ScalaObject{
+public final class scala.util.parsing.combinator.testing.RegexTest$ extends java.lang.Object implements scala.util.parsing.combinator.RegexParsers{
 public static final scala.util.parsing.combinator.testing.RegexTest$ MODULE$;
   Signature: Lscala/util/parsing/combinator/testing/RegexTest$;
 
diff --git c/scala/util/parsing/combinator/testing/Str.class w/scala/util/parsing/combinator/testing/Str.class
index bc748b8b21..d83a1eb566 100644
--- c/scala/util/parsing/combinator/testing/Str.class
+++ w/scala/util/parsing/combinator/testing/Str.class
@@ -1,6 +1,6 @@
 
 Compiled from "RegexTest.scala"
-public class scala.util.parsing.combinator.testing.Str extends java.lang.Object implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.util.parsing.combinator.testing.Str extends java.lang.Object implements scala.Product,scala.Serializable{
 private final java.lang.String s;
   Signature: Ljava/lang/String;
 
diff --git c/scala/util/parsing/combinator/token/StdTokens$Identifier.class w/scala/util/parsing/combinator/token/StdTokens$Identifier.class
index f30e1cc9c8..311526d14d 100644
--- c/scala/util/parsing/combinator/token/StdTokens$Identifier.class
+++ w/scala/util/parsing/combinator/token/StdTokens$Identifier.class
@@ -3,7 +3,7 @@ public abstract #= # of #; //Token=class scala/util/parsing/combinator/token/Tok
 public #= # of #; //Identifier=class scala/util/parsing/combinator/token/StdTokens$Identifier of class scala/util/parsing/combinator/token/StdTokens
 
 Compiled from "StdTokens.scala"
-public class scala.util.parsing.combinator.token.StdTokens$Identifier extends scala.util.parsing.combinator.token.Tokens$Token implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.util.parsing.combinator.token.StdTokens$Identifier extends scala.util.parsing.combinator.token.Tokens$Token implements scala.Product,scala.Serializable{
 private final java.lang.String chars;
   Signature: Ljava/lang/String;
 
